#!/bin/bash
if [[ $(id -u) -ne 0 ]]; then
	dialog --infobox "No sou usuari root." 5 25
	sleep 3
	exit 0
fi
dialog --title "Pregunta" \
--yesno "Voleu reinstal·lar el programa ABconnector?" 7 60
if [ $? -ne 0 ]; then
	exit 0
fi
dialog --infobox "Instal·lant el programa ABconnector ..." 5 40
sleep 3
URL_TARGET=https://ja.cat/linkat-abconnector-robotica
URL_TARGET_INFO=https://ja.cat/linkat-abconnector-robotica-info
TEMP_FILE=$(mktemp)
TEMP_DIR=$(mktemp -d)
wget $URL_TARGET_INFO -O $TEMP_FILE
ABCONNECTOR_DEB=abconnector.deb
ABCONNECTOR_MD5SUM="$(cat $TEMP_FILE|cut -d "," -f 2)"
ABCONNECTOR_VERSION="$(cat $TEMP_FILE|cut -d "," -f 1)"
DATA_FILE=data.tar.xz
wget -c $URL_TARGET -O $TEMP_DIR/$ABCONNECTOR_DEB
cd $TEMP_DIR
if [ -S $TEMP_DIR/$ABCONNECTOR_DEB ]; then
	exit 0
fi
if [ -d /usr/share/linkat/linkat-robotica-abconnector ]; then
	ABCONNECTOR_MD5SUM_CALC="$(md5sum $TEMP_DIR/$ABCONNECTOR_DEB| tr -s ' '|cut -d ' ' -f 1)"
	if [ "$ABCONNECTOR_MD5SUM_CALC" == "$ABCONNECTOR_MD5SUM" ]; then
		ar -x $ABCONNECTOR_DEB >/dev/null 2>&1
		mv $DATA_FILE /usr/share/linkat/linkat-robotica-abconnector/
		echo $ABCONNECTOR_VERSION > /usr/share/linkat/linkat-robotica-abconnector/linkat-robotica-abconnector-version
		dialog --infobox "Programari instal·lat correctament." 5 40
		sleep 3
	fi
fi
rm -rf $TEMP_DIR
rm $TEMP_FILE
exit 0
