#!/bin/bash
ABCONNECTOR_VERSION=/usr/share/linkat/linkat-robotica-abconnector/linkat-robotica-abconnector-version
AB_VER="$(cat $ABCONNECTOR_VERSION)"
if [ ! -e /usr/share/linkat/linkat-robotica-abconnector/data.tar.xz ]; then
	zenity --width=400 --info --text="<b>ABconnector</b> <u>no es troba instal·lat</u> en aquest equip.\n\r \
Executeu l'eina: <b>ABconnector online installer</b>\n\r que hi ha al menú: <b>Aplicacions de robòtica</b>."
	exit 0
fi
if [ ! -d "$HOME"/.opt ]; then
	(tar -xf /usr/share/linkat/linkat-robotica-abconnector/data.tar.xz --directory="$HOME" 2>/dev/null) | zenity --width=300 --progress --auto-close --pulsate --title="ABconnector $AB_VER" --text="Configurant..." --no-cancel
	mv "$HOME/opt" "$HOME/.opt"
	cp $ABCONNECTOR_VERSION "$HOME/.opt/"
else
	if [ -n "$(diff /usr/share/linkat/linkat-robotica-abconnector/linkat-robotica-abconnector-version "$HOME"/.opt/linkat-robotica-abconnector-version)" ]; then
		(tar -xf /usr/share/linkat/linkat-robotica-abconnector/data.tar.xz --directory="$HOME" 2>/dev/null) | zenity --width=300 --progress --auto-close --pulsate --title="ABconnector $AB_VER" --text="Configurant..." --no-cancel
		rm -rf "$HOME"/.opt
		mv "$HOME/opt" "$HOME/.opt" 
		cp $ABCONNECTOR_VERSION "$HOME/.opt/"
	fi
fi
if [ -e "$HOME"/.opt/abconnector/abconnector ]; then
	cd "$HOME"/.opt/abconnector
	"$HOME"/.opt/abconnector/abconnector
fi
exit 0
